Package org.linphone.core

# Interface PushNotificationMessage

public interface PushNotificationMessage
Object holding chat message data received by a push notification on iOS
platform only.
This object is a subset of `ChatMessage`, so only a few methods of it's
parent are available, like linphone_push_notification_message_get_text_content
and linphone_push_notification_message_get_subject, just enough to be able to
build a notification to show the user.

## Method Summary

Modifier and Type
Method
Description
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`String`
`getReactionContent()`
Gets the reaction content.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`boolean`
`isConferenceInvitationCancellation()`
Tells whether or not this message contains a conference invitation
cancellation.
`boolean`
`isConferenceInvitationNew()`
Tells whether or not this message contains a new conference invitation.
`boolean`
`isConferenceInvitationUpdate()`
Tells whether or not this message contains a conference invitation update.
`boolean`
`isIcalendar()`
Tells whether or not this message contains an icalendar by checking its content
type.
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`String`
`toString()`

## Method Details

### isConferenceInvitationCancellation

boolean isConferenceInvitationCancellation()
Tells whether or not this message contains a conference invitation
cancellation.

Returns:
  true if this message carries a conference invitation cancellation,
  false otherwise.

### isConferenceInvitationNew

boolean isConferenceInvitationNew()
Tells whether or not this message contains a new conference invitation.

Returns:
  true if this message carries a new conference invitation, false
  otherwise.

### isConferenceInvitationUpdate

boolean isConferenceInvitationUpdate()
Tells whether or not this message contains a conference invitation update.

Returns:
  true if this message carries a conference invitation update, false
  otherwise.

### isIcalendar

boolean isIcalendar()
Tells whether or not this message contains an icalendar by checking its content
type.

Returns:
  true if this content type is 'text/calendar;conference-event=yes',
  false otherwise.

### getReactionContent

@Nullable String getReactionContent()
Gets the reaction content.

Returns:
  The reaction content or null.

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`